* {
  margin: 0;
  padding: 0;
  list-style: none;
  text-decoration: none;
  box-sizing: border-box;
}

body {
  background: #fefefe;
  transition: all 0.5s ease;
  font-family: "Montserrat", sans-serif;
}
body.dark {
  background: #333;
  color: #fefefe;
}

.switch {
  background: #343d5b;
  border-radius: 1000px;
  border: none;
  position: relative;
  cursor: pointer;
  display: flex;
  outline: none;
}
.switch::after {
  content: "";
  display: block;
  width: 30px;
  height: 30px;
  position: absolute;
  background: #f1f1f1;
  top: 0;
  left: 0;
  right: unset;
  border-radius: 100px;
  transition: 0.3s ease all;
  box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.2);
}
.switch.active {
  background: orange;
  color: #000;
}
.switch.active::after {
  right: 0;
  left: unset;
}
.switch span {
  width: 30px;
  height: 30px;
  line-height: 30px;
  display: block;
  background: none;
  color: #fff;
}

header {
  width: 100%;
  height: 80px;
  background: #000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 100px;
  position: sticky;
  top: 0;
  z-index: 1000;
  transition: all 0.5s ease;
}

.logo img {
  height: 70px;
  width: auto;
}

.hamburger {
  display: none;
}

.nav-bar ul {
  display: flex;
}

.nav-bar ul li a {
  display: block;
  color: #fefefe;
  font-size: 20px;
  padding: 10px 25px;
  border-radius: 50px;
  transition: 0.2s;
  margin: 0 5px;
  text-decoration: none;
}

.nav-bar ul li a:hover {
  color: #000;
  background: #fefefe;
}

.nav-bar ul li a.active {
  color: #000;
  background: #fefefe;
}

@media only screen and (max-width: 1320px) {
  header {
    padding: 0 30px;
  }
  .video {
    width: 746.67px;
    height: 420px;
  }
  .nav-bar ul li a {
    font-size: 17px;
  }
  .img {
    height: 350px;
    width: 350px;
  }
  .gra {
    font-size: 40px;
  }
  .peque {
    font-size: 30px;
  }
}
@media only screen and (max-width: 1100px) {
  header {
    padding: 0 10px;
  }
  .video {
    width: 560px;
    height: 315px;
  }
  .nav-bar ul li a {
    font-size: 15px;
  }
  .img {
    height: 300px;
    width: 300px;
  }
  .gra {
    font-size: 35px;
  }
  .peque {
    font-size: 25px;
  }
}
@media only screen and (max-width: 900px) {
  .hamburger {
    display: block;
    cursor: pointer;
  }
  .hamburger .line {
    width: 30px;
    height: 3px;
    background: #fefefe;
    margin: 6px 0;
  }
  .nav-bar {
    height: 0;
    position: absolute;
    top: 80px;
    left: 0;
    right: 0;
    width: 100vw;
    background: #000;
    transition: 0.5s;
    overflow: hidden;
  }
  .nav-bar.active {
    height: 550px;
  }
  .nav-bar ul {
    display: block;
    width: -moz-fit-content;
    width: fit-content;
    margin: 80px auto 0 auto;
    text-align: center;
    transition: 0.5s;
    opacity: 0;
  }
  .nav-bar.active ul {
    opacity: 1;
  }
  .nav-bar ul li a {
    margin-bottom: 12px;
    font-size: 20px;
  }
  .video {
    width: 373px;
    height: 210px;
  }
  .img {
    height: 250px;
    width: 250px;
  }
  .gra {
    font-size: 30px;
  }
  .peque {
    font-size: 20px;
  }
}